Koozali.org formerly Contribs.org

[HOWTO] Magento vers. 1.0.19870 for SME7.3

[HOWTO] Magento vers. 1.0.19870 for SME7.3
« on: May 16, 2008, 08:31:56 PM »
A small howto for installation Magento on a SME 7.3. As of today the Magento is version 1.0.19870.

Biggest problem with the Magento webshop is that it requires php5.2 to run. Since the SME 7.3 is running php4 and the upcoming SME8 seems to stick with 5.1.6 then a workaround will be needed both now and in the near future.

From reading this forum I can understand that it is not recommended to install php5 onto a stable production server. But if you stick to installing php5 as cgi it should be fine. There is a solution allready (http://sme.firewall-services.com/spip.php?article46). I have not tried it since it involves installing some rpm's and seems more complicated than this solution. But it may be the "right" way and using a pre-compiled php5-cgi may be the wrong way - I really do not know.

Nevertheless... try these steps and Magento should work for you too in yourNewIbay:

1) Get a compiled php5-cgi from Magento Commerce
You can find a link on this page: http://www.magentocommerce.com/knowledge-base/entry/installing-magento-on-a-php4-server
I assume you have saved it into yourNewIbays files folder

2) untar to yourNewIbay/cgi-bin and change right to be executable
Code: [Select]
cd /home/e-smith/files/ibays/yourNewIbay/cgi-bin
tar -xzf ../files/php5-cgi.tar.gz
chmod a+c php5-cgi

3) In a similar way unpack the Magento from your files folder and to your html folder
Code: [Select]
cd /home/e-smith/files/ibays/yourNewIbay/html
tar -xzf ../files/magento.tar.gz
chown -R www:www *
- the last line chown to the www user works. But I do not know if it is the right way to do it...

4) Edit the .htaccess file
Open up the .htaccess file with your favorite editor and uncomment the first two lines regarding use of cgi-bin php5.2. You also have to add your ibay name to the path. Remeber to start with a slash
Code: [Select]
Action php5-cgi /yourNewIbay/cgi-bin/php5-cgi
AddHandler php5-cgi .php

5) Allow the use of .htaccess for yourNewIbay
Code: [Select]
db accounts setprop yourNewIbay AllowOverride All
signal-event ibay-modify yourNewIbay

6) Create an empty mysql database+user


Now you can navigate to your http://server/yourNewIbay/magento/ and complete the installation. Type in database parameters and you are all set.

BR. Anders
« Last Edit: May 19, 2008, 08:33:03 AM by Tillebeck »

Re: [HOWTO] Magento vers. 1.0.19870 for SME7.3
« Reply #1 on: May 23, 2008, 06:31:09 PM »
Hello, i would like to install the version but it doesn't the last revision the last is 1.0.19870.1
It isn't the problems. The problem is :

http://myip/commerce/magento/


Whoops, it looks like you have an invalid PHP version.

Magento supports PHP 5.2.0 or newer. Find out how to install Magento using PHP-CGI as a work-around.


Can you develop the

chmod a+c php5-cgi    because i do chmod 777 -R ....

chown -R www:www *  ????????
I need some help. I'm a beginner and stupid boy. Can you explain whith more details. Thanks


Perhaps it's because i'm not create the second domain register but i don't know

Re: [HOWTO] Magento vers. 1.0.19870 for SME7.3
« Reply #2 on: May 26, 2008, 11:27:18 AM »
Please test if you can access the cgi-php5. To test visit this link (assuming your ibay is called yourNewIbay)
http://myip/yourNewIbay/cgi-bin/php5-cgi/
(this should result in a "Internal Server Error" and then it is fine)

If you get a "page cannot be found" instead of "internal server error" then you have to:
 - make sure that the ibay is set to use cgi, php etc. under your ibay settings in the server-manager
 - check that your .htaccess file includes the correct path (see #4)
 - enable the use of .htaccess (see #5)
 - and maybe... add the www as owner of all files (see #3)

The apache web server runs as the user "www". Therefore I usually chown files to be owned by www so no user on LAN accidently modifies files running in production. And it also makes sure that the web server can read all and modify files without any hassels.

Try it out and please post your findings.

BR. Anders

Offline cactus

  • *
  • 4,880
    • http://www.snetram.nl
Re: [HOWTO] Magento vers. 1.0.19870 for SME7.3
« Reply #3 on: May 26, 2008, 05:22:13 PM »
A small howto for installation Magento on a SME 7.3. As of today the Magento is version 1.0.19870.
Once again, the best place for HowTo's is the wiki, please create a page for it there (as well).
Be careful whose advice you buy, but be patient with those who supply it. Advice is a form of nostalgia, dispensing it is a way of fishing the past from the disposal, wiping it off, painting over the ugly parts and recycling it for more than its worth ~ Baz Luhrmann - Everybody's Free (To Wear Sunscreen)

Re: [HOWTO] Magento vers. 1.0.19870 for SME7.3
« Reply #4 on: May 26, 2008, 11:10:05 PM »
Hi Cactus

I agree. I requested for the wiki the same day I did this first posting.
http://bugs.contribs.org/show_bug.cgi?id=4353

When I get access to the wiki I will do the page there. Just thought better here than nowhere...

Thanks for pointing it out.

BR. Anders
« Last Edit: May 26, 2008, 11:12:45 PM by Tillebeck »